> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a lightning invoice



## OpenAPI

````yaml post /v3/lightning_invoice_bolt11
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/lightning_invoice_bolt11:
    post:
      operationId: post_v3lightning_invoice_bolt11
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: integer
                  format: int64
                  description: Amount in BTC. The precision is 8 decimal places
                  default: '12345600'
                d_tag_memo:
                  type: string
                  description: >-
                    This will be included in the d-tag. If both d_tag_memo and
                    h_tag_memo are provided, only h_tag will be used
                  default: 'Payment for order #7890'
                h_tag_memo:
                  type: string
                  description: >-
                    SHA-256 of the d_tag_memo. If both d_tag_memo and h_tag_memo
                    are provided, only h_tag_memo will be used
                expiry_interval:
                  type: integer
                  description: >-
                    The expiry of the invoice in seconds. Default value is 3600
                    (1 hour)
                  default: '4800'
                metadata:
                  type: string
                  description: >-
                    Set of key-value pairs to attach to the
                    lightning_invoice_bolt11 object
                  format: json
              required:
                - amount
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: success or failure
                  message:
                    type: string
                    description: Message related to the action
                  data:
                    type: string
                    description: The lightning invoice bolt11 object
                    format: json
              examples:
                OK:
                  summary: OK
                  value:
                    status: success
                    message: ''
                    data:
                      id: l11_abc123xyz
                      object: lightning_invoice_bolt11
                      amount: 123456
                      d_tag_memo: 'Payment for order #7890'
                      collect: col_98765
                      expiry_interval: 3600
                      metadata:
                        order_id: '7890'
                        customer_id: cust_456
                      status: active
                      payment_status: unpaid
                      created_at: '2025-09-28T08:15:30Z'
                      updated_at: '2025-09-28T08:20:45Z'
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````